Skip to main content
GET
Get quiz report

Authorizations

x-api-key
string
header
required

API key for authentication. Generate keys in the Doozy dashboard.

Path Parameters

quiz_id
string
required

The unique identifier of the quiz

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:

"tYYueINbgmmyss8O3LiD"

Query Parameters

group_id
string

Filter participants by exact account group ID

Minimum string length: 1
Example:

"BgZupnpMujy4v1Zzd6sx"

track_id
string

Filter results to participants from a specific track (workflow). When specified, only participants who received the quiz via this track will be included.

Example:

"i3XJiIJjOp7PJJBTvu4i"

step_id
string

With track_id: only participants who received the quiz from this step of the track

Minimum string length: 1
Example:

"NKqbhqFnRyGChRhvM6bB"

variant_id
string

With track_id and step_id: only participants who got this variant of the step. Use default for the step's own content.

Minimum string length: 1
Example:

"default"

instance_id
string

Filter results to a specific instance. When specified, only participants from this scheduled activity will be included.

Minimum string length: 1
Example:

"abc123"

start_date
string<date-time>

Filter participants by assigned_at >= this exact ISO 8601 instant

Example:

"2026-01-01T00:00:00.000Z"

end_date
string<date-time>

Filter participants by assigned_at <= this exact ISO 8601 instant

Example:

"2026-01-31T23:59:59.999Z"

include_collaborators
boolean

Include quiz admin users in results (default false)

Example:

"false"

include_question_analytics
boolean

Include per-question analytics with answer breakdowns (default false)

Example:

"true"

Response

Quiz report

object
enum<string>
required

Object type identifier

Available options:
quiz_report
Example:

"quiz_report"

id
string
required

Quiz ID

Example:

"tYYueINbgmmyss8O3LiD"

title
string
required

Quiz title

Example:

"Product Knowledge Assessment"

summary
object
required

Summary statistics for the report

delivery_instances
object[]
required

Quiz delivery instances (workflows and one-off sends)

question_analytics
object[]

Per-question analytics (only included if include_question_analytics=true)